require "defines"

game.oninit(function()
	game.player.gui.left.add{type="label", name="dn_clock", caption="00"}
	game.player.gui.left.dn_clock.style.fontcolor = {r=1, g=1, b=1}
	game.player.gui.left.dn_clock.style.font = "default-bold"
end)

game.onload(function()
	if (not game.player.gui.left.dn_clock) then
		game.player.gui.left.add{type="label", name="dn_clock", caption="00"}
		game.player.gui.left.dn_clock.style.fontcolor = {r=1, g=1, b=1}
		game.player.gui.left.dn_clock.style.font = "default-bold"
	end
end)

game.onevent(defines.events.ontick, function(event)
	dn_hour_total =  game.daytime * 24
	if (dn_hour_total >= 12) then
		dn_hour_total = dn_hour_total - 12
	else
		dn_hour_total = dn_hour_total + 12
	end
	dn_hour = math.floor(dn_hour_total)
	dn_minute = math.floor((dn_hour_total - dn_hour) * 60)
	if (dn_minute < 10) then
		dn_minute = "0"..dn_minute
	end
	if (dn_hour < 10) then
		dn_hour = "0"..dn_hour
	end
	game.player.gui.left.dn_clock.caption = dn_hour..":"..dn_minute
end)